Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class FreemarkerViewGenerator

    java.lang.Object
      org.jbehave.core.reporters.TemplateableViewGenerator
          org.jbehave.core.reporters.FreemarkerViewGenerator

All Implemented Interfaces:
  ViewGenerator

    public class FreemarkerViewGenerator

extends TemplateableViewGenerator

Freemarker-based `ViewGenerator`, which uses the configured FTL templates for the views. The default view properties are overridable via the method `Properties` parameter. To override, specify the path to the new template under the appropriate key:

The view generator provides the following default properties:

     "views": "ftl/jbehave-views.ftl"
     "maps": "ftl/jbehave-maps.ftl"
     "navigator": "ftl/jbehave-navigator.ftl"
     "reports": "ftl/jbehave-reports-with-totals.ftl"
     "decorated": "ftl/jbehave-report-decorated.ftl"
     "nonDecorated": "ftl/jbehave-report-non-decorated.ftl"
     "decorateNonHtml": "true"
     "defaultFormats": "stats"
     "viewDirectory": "view"

Author:
  Mauro Talevi

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.reporters.TemplateableViewGenerator
`TemplateableViewGenerator.Report, TemplateableViewGenerator.ReportCreationFailed, TemplateableViewGenerator.ReportsTable, TemplateableViewGenerator.TimeFormatter, TemplateableViewGenerator.ViewGenerationFailedForTemplate`

Constructor Summary
`FreemarkerViewGenerator()`
`FreemarkerViewGenerator(StoryNameResolver nameResolver)`

Method Summary
`Properties` | `defaultViewProperties()`

Methods inherited from class org.jbehave.core.reporters.TemplateableViewGenerator
`generateMapsView, generateReportsView, getReportsCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreemarkerViewGenerator

    public FreemarkerViewGenerator()

### FreemarkerViewGenerator

    public FreemarkerViewGenerator(StoryNameResolver nameResolver)

Method Detail

### defaultViewProperties

    public Properties defaultViewProperties()

  Overrides:
    `defaultViewProperties` in class `TemplateableViewGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.